#!/bin/sh

name="automake"
title="Automake"
package="automake"
version="1.7.3"
build="1"
noarch="n"
build_info="Standard build."

info="A tool for automatically generating Makefiles."
desc="Automake is a tool for automatically generating Makefiles
compliant with the GNU Coding Standards. It was inspired
by the 4.4BSD make and include files, but aims to be
portable and to conform to the GNU standards for Makefile
variables and targets. Automake is a Perl script. The
input files are called Makefile.am. The output files are
called Makefile.in; They are intended for use with
Autoconf. Automake requires certain things to be done in
your configure.in. This package also includes the 'aclocal'
program. aclocal is a program to generate an 'aclocal.m4'
based on the contents of 'configure.in'. It is useful as an
extensible, maintainable mechanism for augmenting autoconf."
category="development/building"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="AUTHORS,COPYING,ChangeLog,INSTALL,NEWS,README,THANKS,TODO"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source ftp://ftp.gnu.org/gnu/automake/$name-$version.tar.bz2

configure_option --prefix=/usr

install_option DESTDIR=$pkg_main

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

( cd $pkg_main/usr/bin
rm -f aclocal automake
ln -s aclocal-`echo $version | cut -d '.' -f 1,2` aclocal
ln -s automake-`echo $version | cut -d '.' -f 1,2` automake )

mkdir -p $pkg_main/usr/share/aclocal

make_docs

make_package main

clean_up

# $Log: automake.builder,v $
# Revision 1.3  2003/04/13 13:58:33  swiergot
# - Build 1.
#
# Revision 1.2  2003/04/13 13:54:01  swiergot
# - Force building.
#
# Revision 1.1  2003/04/13 12:51:14  swiergot
# - Initial release.
# - Version 1.7.3.
#
